instproxy_archive
instproxy_browse
instproxy_browse_with_callback
instproxy_check_capabilities_match
instproxy_client_free
instproxy_client_get_path_for_bundle_identifier
instproxy_client_new
instproxy_client_options_add
instproxy_client_options_free
instproxy_client_options_new
instproxy_client_options_set_return_attributes
instproxy_client_start_service
instproxy_client_t
instproxy_command_get_name
instproxy_error_t
instproxy_install
instproxy_lookup
instproxy_lookup_archives
instproxy_remove_archive
instproxy_restore
INSTPROXY_SERVICE_NAME
instproxy_status_cb_t
instproxy_status_get_current_list
instproxy_status_get_error
instproxy_status_get_name
instproxy_status_get_percent_complete
instproxy_uninstall
instproxy_upgrade

## instproxy_client_start_service()

LIBIMOBILEDEVICE_API instproxy_error_t instproxy_client_start_service | ( | idevice_t | device,
|  | instproxy_client_t * | client,
|  | const char * | label )

Starts a new installation_proxy service on the specified device and connects to it.

Parameters

  device | The device to connect to.
  client | Pointer that will point to a newly allocated instproxy_client_t upon successful return. Must be freed using instproxy_client_free() after use.
  label | The label to use for communication. Usually the program name. Pass NULL to disable sending the label in requests to lockdownd.

Returns
  INSTPROXY_E_SUCCESS on success, or an INSTPROXY_E_* error code otherwise.